Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.graph.def
Class DelegationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.jbpm.JbpmException
                      org.jbpm.graph.def.DelegationException

All Implemented Interfaces:
  java.io.Serializable

    public class DelegationException

extends JbpmException

See Also:
  Serialized Form

Field Summary
`protected java.lang.Throwable` | `cause`
`protected ExecutionContext` | `executionContext`

Constructor Summary
`DelegationException(java.lang.String message, java.lang.Throwable cause)`
`DelegationException(java.lang.Throwable cause, ExecutionContext executionContext)`

Method Summary
`java.lang.Throwable` | `getCause()`
`ExecutionContext` | `getExecutionContext()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cause

    protected java.lang.Throwable cause

### executionContext

    protected transient ExecutionContext executionContext

Constructor Detail

### DelegationException

    public DelegationException(java.lang.Throwable cause,
                               ExecutionContext executionContext)

### DelegationException

    public DelegationException(java.lang.String message,
                               java.lang.Throwable cause)

Method Detail

### getExecutionContext

    public ExecutionContext getExecutionContext()

### getCause

    public java.lang.Throwable getCause()

  Overrides:
    `getCause` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD